> Back to Contents Page

> ## NetWare Driver Software: Broadcom NetXtreme® 57XX User Guide

> NetWare Core Driver Software

> Broadcom Advanced Server Program Driver Software (NetWare)

> SNMP Agent

> ### NetWare Core Driver Software

> Preinstallation Requirements

> Installing NetWare Server 5.1/6.0 Driver Software

> Installing NetWare Server 6.5 Driver Software

> Configuration Properties for the B57.lan driver

> Removing Drivers from Autoexec.ncf

> #### Preinstallation Requirements

> A network device driver must be installed before the Broadcom NetXtreme Gigabit Ethernet adapter can be used with your Novell NetWare system.

> Before you can successfully install the adapter driver for Novell NetWare, the adapter card must be physically installed in the system and, typically, NetWare operating system software must already be running on the system. Make sure that your system meets the hardware and operating system software requirements described in Installing the Hardware.

> To enable the Broadcom NetXtreme Gigabit Ethernet adapter to function correctly, you must install the latest Novell NetWare support pack files. The NetWare support pack or patch file(s) needed for the operating system running on your system are indicated below:

> Table 1: NetWare Support Files
> NetWare Version | Support Pack | Files to be Installed
> --- | --- | ---
> NetWare 5.1 | Latest support pack | The latest support pack can be found at: http://support.novell.com/misc/patlst.htm
> NetWare 6.0 | Latest support pack | The latest support pack can be found at: http://support.novell.com/misc/patlst.htm
> NetWare 6.5 | Latest support pack | The latest support pack can be found at: http://support.novell.com/misc/patlst.htm

> NOTES:

> - PCI-X Systems. For systems with a PCI-X bus interface, you must install driver version v2.10 or later. For new installs of NetWare with the latest drivers, you must create a C:\nwupdate directory and copy the latest B57.lan and B57.ldi files into this directory before installing the operating system.
> - NetWare 5.1/6.0/6.5. If you are installing NetWare 5.1/6.0/6.5 for the first time on a system, the driver is installed during the operating system installation process. Install the NetWare support pack after you have successfully installed the operating system on the system.

> #### Installing NetWare Server 5.1/6.0 Driver Software

> NOTE: The following instructions are for installing Novell NetWare Server 5.1 or 6.0 driver software. For instructions on installing Novell NetWare Server 6.5 driver software, see Installing NetWare Server 6.5 Driver Software.

> Verify that the system has the latest support pack available installed. The latest support packs can be found at: http://support.novell.com/misc/patlst.htm. You may want to create an archive disk (see Creating a Driver Disk) by copying all the files from the CDROM\NetWare\Driver directory onto a disk. If you elect to use the CD directly, ensure that the CDROM.NLM file is loaded and that you know the NetWare volume name for the CD.

> 1. From the NetWare Server console, type LOAD NWCONFIG, and then press ENTER.
> 2. From the Configuration Options menu, select Driver options, and then press ENTER.
> 3. Select Configure network drivers, and then press ENTER.
> 4. Select Select an additional driver, and then press ENTER.
> 5. Insert the installation CD or the archive disk, and then select Install an unlisted driver by pressing INSERT.
> 6. If you inserted the archive disk, press ENTER. If you have the installation CD mounted as a NetWare volume, press F3 and type Volume Name: NetWare\Driver as the source path, where Volume Name is the name of the NetWare volume for the installation CD, and NetWare\Driver is the directory containing the specific files on the installation CD needed for this installation.
> 7. Press ENTER to select the highlighted driver.
> 8. Select Yes, and then press ENTER.
> 9. Select Yes, and then press ENTER to copy the .ldi file. This is the installation script for the driver.
> 10. Select Save parameters and load driver to continue.
> 11. Select Exit to return to the NetWare Server console prompt.

> NOTE: If you are performing an initial installation of NetWare 5.1/6.0 and have more than two network adapters installed, the install program allows you to allocate the actual number of packet receive buffers needed by the adapter. During installation, the RxBuffers value is set to 32, the minimum number of buffers the driver requires for each adapter. Although this setting affects adapter performance, it allows the installation of the operating system and up to 8 adapters during initial installation process. After you complete the installation, increase the number of buffers allocated to the driver, as described in Viewing or Modifying Adapter Properties.

> 12. After NetWare 5.1/6.0 has been successfully installed, set the minimum packet Receive Buffers property in the Startup.ncf file to 1500 for each adapter in the system. Set the maximum packet receive buffers to three times the minimum packet receive buffers. Typically, 4 MB of RAM are required per 1000 receive buffers. For more information, see Viewing or Modifying Adapter Properties.
> 13. In the Autoexec.ncf file, delete the packet Receive Buffers property (RxBuffers = 32) in the load statement for this adapter. Deleting the Receive Buffers phrase from the load statement resets the Receive Buffers property to the default value of 200.

> NOTE: The system must be restarted for the new configuration to take effect.

> Example: The default maximum number of receive buffers for the system is 500, and the default minimum is 128. Edit the Startup.ncf file to have the following entries. The actual number of receive buffers is a function of the number of ports in the system. The following is an example for a system with 8 ports installed:

>     set maximum packet receive buffers = 36000

>     set minimum packet receive buffers = 12000

> #### Installing NetWare Server 6.5 Driver Software

> NOTE: The following instructions are for installing the NetWare Server 6.5 driver software. For instructions on installing NetWare Server 5.1 or 6.0 driver software, see Installing NetWare Server 5.1/6.0 Driver Software.

> You may want to create an archive disk (see Creating a Driver Disk) by copying all the files from the CDROM\NetWare\Driver directory onto a disk. If you elect to use the CD directly, ensure that the CDROM.NLM file is loaded and that you know the NetWare volume name for the CD.

> 1. From the NetWare Server console, type HDETECT, and then press ENTER.
> 2. From Options, press ENTER to accept Platform Support Module and Hot-Plug Support Module and continue detecting devices.
> 3. From Options, scroll down to select Modify, and then press ENTER to change focus to detected devices.
> 4. Scroll down to Network boards and press ENTER.
> 5. From Additional Driver Options, scroll down to Modify, and then press ENTER.
> 6. Insert the CD or archive disk you created, and then select the Add option by pressing INSERT.
> 7. Select the Install an unlisted driver option, by pressing INSERT.
> 8. If you inserted the archive disk, press ENTER. If you have the CD mounted as a NetWare volume, press F3 and type Volume Name: NetWare\Driver as the source path, where Volume Name is the name of the NetWare volume for the CD, and NetWare\Driver is the directory of the specific files on the CD needed for this installation.
> 9. Use the DOWN ARROW or TAB key to switch back to Additional Driver Options.
> 10. Choose Return to driver summary, and then press ENTER.
> 11. Choose Continue in Options.
> 12. Choose Continue from Protocol Options unless you want to configure and bind protocols before continuing.

> ##### Viewing or Modifying Adapter Properties

> When an adapter configuration is saved, the NetWare installation program adds load and bind statements to the Autoexec.ncf file. By accessing this file, you can view and modify properties or add properties for each network adapter.

> NOTE: The Novell monitor program and the config command are also useful for viewing driver configuration properties. For information on how to use these programs, see the Utilities Reference in your Novell NetWare online documentation.

> The properties that can be defined in the load statements are described below:

> #### Configuration Properties for the B57.lan driver

> TxDescriptors=

> Initializes Descriptor resources on the adapter for transmits.

> Min = 100

> Max = 512

> Default = 120

> RxBuffers=

> Preallocates Receive ECBs and Receive adapter resources. The settings may be affected by the NetWare Server maximum/minimum packet receive buffer settings.

> Min = 32

> Max = 1000

> Default = 200

> Speed=

> Forces the line speed of the adapter. When this property is used, the switch to which the adapter cable is connected must be forced. Otherwise, the adapter and switch may run in different duplex modes. It is important to have the switch and adapter set properly. The best way to ensure good connectivity is to not set the Speed= property and allow for automatic link setup (auto-negotiation).

> AUTO

> 10FD

> 10HD

> 100FD

> 100HD

> The default setting is AUTO. Note that 1000 Mbit/s speed is auto-detected and cannot be forced. Forced 1000 Mbit/s speed is not needed for copper links. Auto-negotiation is the proper supported configuration under the IEEE specification.

> Link=

> Setting this property to AUTO allows the adapter to auto-negotiate with a switch using the Speed= property setting as an advertised speed upper limit. It is best to allow for auto-negotiation of the adapter and switch by not setting this property or the Speed= property.

> AUTO

> FORCE

> The default is AUTO. When set to FORCE, auto-negotiation is disabled and the link speed is forced to a specific value.

> RxTicks=

> Enables the use of batching Receives within a specific time period.

> Min = 0 (disabled)

> Max = 5000000 (5 seconds)

> Units are in microseconds and the default value is 300.

> TxTicks=

> Enables the use of a transmit tick threshold interrupt within a specific time period.

> Min = 0 (disabled)

> Max = 5000000 (5 seconds)

> Units are in microseconds. The default value is 200.

> TxPacketsPer=

> Enables allowing an interrupt to occur after a specific amount of packets is transmitted.

> Min = 0 (disabled)

> Max = 100

> The default value is 20.

> RxPacketsPer=

> Enables allowing an interrupt to occur after a specific amount of packets is received.

> Min = 0 (disabled)

> Max = 100

> The default value is 75.

> CheckSum=

> Enables or disables the transmit and receive checksum offload feature. Checksum offload support is only for TCP/IP packets; therefore, the default setting is OFF.

> OFF

> ON

> TX

> RX

> TxFlow=

> Allows enabling/disabling of transmit flow control.

> ON

> OFF (default)

> RxFlow=

> Allows enabling/disabling of receive flow control.

> ON

> OFF (default)

> PDriver=

> Enables the driver to operate in persistent driver mode. Use only if the adapter is placed in a hot-plug slot and only if you must swap with an adapter that is exactly the same.

> OFF (default)

> ON

> NODE=

> Allows an input Ethernet node address to replace the adapter factory-programmed Ethernet node address until a subsequent reboot.

> NODE=nnnnnnnnnnnn

> FRAME=

> Specifies the frame type. The default value is ETHERNET_802.2.

> ETHERNET_II

> ETHERNET_802.3

> ETHERNET_802.2

> ETHERNET_SNAP

> SLOT=

> Used to set a system-wide unique hardware instance number (HIN) that may be the physical slot number on a slot-based bus such as PCI.

> SLOT=n

> Jumbo=

> Enables Jumbo frame support. When this property is enabled, jumbo packets of up to 9000 bytes are supported.

> Jumbo=1536–9100

> The default setting is no jumbo packets.

> Notes:

> - Jumbo frames are supported only on NetWare 6.0 and later. Also, the first frame loaded must be ETHERNET_II.
> - Jumbo frame support must have the following text in the Startup.ncf file: `Set maximum physical receive packet size = 18000`

> P3=

> This property is used when running Perform3.exe tests and may be used to increase performance on networks running with many IPX clients.

> P3=1 when running the Perform3 test back to back to a single client

> P3=2 when running the Perform3 test with many clients

> The default setting is P3=0.

> Spuriousfix=

> When this property is set to 1 (Spuriousfix= is ON), the spurious interrupts count that is sometimes displayed on the NetWare console may be reduced. Setting this property to 0 (Spuriousfix= is OFF) may enhance performance.

> 0 = OFF

> 1 = ON (default)

> Poll=

> Disables the interrupt driven mode. When set to Poll=1, the driver does not use interrupts, but is polled by the NetWare operating system. This is a common feature supported in NetWare. The poll mode may increase driver performance in some environments.

> 0 = OFF (default)

> 1 = ON

> Wirespeed=

> Provides adapter link and data integrity even if the adapter is attached to a questionable cable and/or switch. For example, an adapter that is trying to connect at 1000 Mbit/s on a Category 3 cable ordinarily would not link. With Wirespeed= set to 1, the link is made at 100 Mbit/s.

> 0 = OFF

> 1 = ON (default)

> Model=

> Allows the addition of a subsystem ID of a specific adapter so that the driver loads only on the first adapter found with a matching subsystem ID. For example, Model=0x14E4. The default value is 0

> MagicP=

> When MagicP=1, the driver enables the adapter to wake up the system when a Magic Packet™ frame is received after the system is shut down.

> 0 = OFF (default)

> 1 = ON

> Fiber=

> The driver has support for the 1000FD fiber adapter. The fiber auto-negotiates link with a fiber switch even though it only supports 1000FD. In some cases, the user may want to force the adapter to 1000FD.

> AUTO (default)

> FORCE

> NOTE: If you modify any of the adapter properties, you must reboot the system before the changes take effect. If you make changes and do not reboot, you may experience problems.

> A valid Autoexec.ncf file is shown below. One set of load and bind commands (in bold) is added for each frame type the adapter is configured to support.

>     SET Daylight Savings Time Offset = 1:00:00

>     SET Start Of Daylight Savings Time = (MARCH SUNDAY LAST 2:00:00 AM)

>     SET End Of Daylight Savings Time = (OCTOBER SUNDAY LAST 2:00:00 AM)

>     SET Time Zone = TPST8TPDT

>     # Note: The Time zone information mentioned above

>     # should always precede the SERVER name.

>     # WARNING!!

>     FILE SERVER NAME DL760

>     # WARNING!!

>     # If you change the name of this server, you must update

>     # the server name in all the licenses that are assigned

>     # to it using iManager.

>     SERVERID 487B10D

>     LOAD ODINEB.NLM

>     LOAD IPXRTR

>     LOAD B57.LAN SLOT=5 FRAME=ETHERNET_802.2 NAME=B57_1_E82

>     BIND IPX B57_1_E82 NET=BF857E4F

>     LOAD IPXRTRNM

>     LOAD TCPIP

>     LOAD B57 SLOT=2 FRAME=Ethernet_802.2 NAME=B57_1_E82

>     BIND IPX B57_1_E82 NET=FAFD3D25

>     LOAD B57 SLOT=2 FRAME=Ethernet_802.3 NAME=B57_1_E83

>     BIND IPX B57_1_E83 NET=5A2D8D6D

>     LOAD B57 SLOT=2 FRAME=Ethernet_SNAP NAME=B57_1_ESP

>     BIND IPX B57_1_ESP NET=477A35BD

>     LOAD B57 SLOT=2 FRAME=Ethernet_II NAME=B57_1_EII

>     BIND IPX B57_1_EII NET=C3C8F2E4

>     BIND IP B57_1_EII ADDR=172.16.1.1 MASK=ff.ff.ff.0

>     mount all

>     SEARCH ADD SYS:\JAVA\BIN

>     SEARCH ADD SYS:\JAVA\NWGFX

> #### Removing Drivers from Autoexec.ncf

> To remove the drivers from the Autoexec.ncf file, locate the load and bind command lines associated with the Broadcom driver and remark them out by inserting the # symbol at the beginning of each command line, or by deleting the statement.

> Example:

>     # LOAD B57 SLOT=2 FRAME=Ethernet_802.2 NAME=B57_1_E82

>     # BIND IPX B57_1_E82 NET=FAFD3D25

>     # LOAD B57 SLOT=2 FRAME=Ethernet_802.3 NAME=B57_1_E83

>     # BIND IPX B57_1_E83 NET=5A2D8D6D

>     # LOAD B57 SLOT=2 FRAME=Ethernet_SNAP NAME=B57_1_ESP

>     # BIND IPX B57_1_ESP NET=477A35BD

>     # LOAD B57 SLOT=2 FRAME=Ethernet_II NAME=B57_1_EII

>     # BIND IPX B57_1_EII NET=C3C8F2E4

>     # BIND IP B57_1_EII ADDR=172.16.1.1 MASK=ff.ff.ff.0

> NOTE: If you modify the Autoexec.ncf file, you must reboot the system before the changes take effect.

> Back to Contents Page